%define anolis_release 1
## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name cmarkgfm

Name:           python-%{pypi_name}
Version:        2024.1.14
Release: %{anolis_release}%{dist}

Summary:        Minimal bindings to GitHub's fork of cmark

License:        MIT
URL:            https://github.com/jonparrott/cmarkgfm
Source0:        https://github.com/theacodes/cmarkgfm/archive/refs/tags/%{version}.tar.gz
#https://github.com/theacodes/cmarkgfm/tree/master/third_party  (extensions and src)
Source1:        cmark.tar.gz

BuildRequires:  gcc

%description
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-cffi
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
chmod -x README.rst LICENSE.txt
cd -
tar -xf %{SOURCE1} -C %{pypi_name}-%{version}/third_party

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests

%generate_compatibility_deps

%files -n python3-%{pypi_name}
%dir %{abidir}
%license LICENSE.txt
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py*.egg-info/
%{abidir}/_cmark.abi3.dump

%files doc
%doc README.rst

%changelog
* Mon Aug 26 2024 wangce <wangce@uniontech.com> - 2024.1.14-1
- Update 2024.1.14 cmark-gfm(0.29.0.gfm.13)

* Fri Mar 22 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.8.0-2
- Rebuild with python3.11

* Mon Mar 27 2023 Heng Qi <hengqi@linux.alibaba.com> - 0.8.0-1
- Init package from upstream
